Name:           couchpotato
Version: 	3.0.1
Release: 	3%{?dist}
License: 	GPLv3+
Summary: 	An automatic NZB and torrent downloader
Url:		https://couchpota.to/
Group:		Productivity/Networking/News/Clients
Source:		https://github.com/RuudBurger/CouchPotatoServer/archive/build/%{version}.tar.gz
Source1:        couchpotato.service
Source2:        couchpotato.sysconfig
BuildRequires: 	python2-devel
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch: 	noarch

BuildRequires: 	systemd-units
Requires(post): systemd-units
Requires(preun): 	systemd-units
Requires(postun): 	systemd-units

%description
CouchPotato (CP) is an automatic NZB and torrent downloader. You can keep 
a "movies I want"-list and it will search for NZBs/torrents of these 
movies every X hours. Once a movie is found, it will send it to SABnzbd 
or download the torrent to a specified directory.

%prep
%setup -q -n CouchPotatoServer-build-%{version}

%build
# deal with rpmlint badness
#find . -type f -size 0 -exec rm -v {} \;
find . -type f -name "*.py~" -exec rm -f '{}' \;
find . -type f -name "*.py_tmpl" -exec rm -f '{}' \;
find . -type f -name "*.py" -exec sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/python2|g' {} ';'
find . -type f -exec chmod -x '{}' \;
chmod +x CouchPotato.py
rm -rf init

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}
install -d -m 0755 %{_builddir}/CouchPotatoServer-build-%{version} $RPM_BUILD_ROOT%{_datadir}/couchpotato
cp -r %{_builddir}/CouchPotatoServer-build-%{version}/* $RPM_BUILD_ROOT%{_datadir}/couchpotato


mkdir -p $RPM_BUILD_ROOT%{_sbindir}
ln -s %{_initddir}/couchpotato $RPM_BUILD_ROOT%{_sbindir}/rccouchpotato

mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 644 %{_sourcedir}/couchpotato.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}

[ ! -x $RPM_BUILD_ROOT%{_localstatedir}/lib/couchpotato ] && mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/couchpotato

# rpmlint badness duplicate files
%fdupes $RPM_BUILD_ROOT%{_datadir}


%pre
getent group couchpotato >/dev/null || groupadd -r couchpotato
getent passwd couchpotato >/dev/null || useradd -r -g couchpotato -d %{_localstatedir}/lib/couchpotato -s /sbin/nologin -c "user for couchpotato" couchpotato
exit 0

%post
%systemd_post couchpotato.service

%preun
%systemd_preun couchpotato.service

%postun
%systemd_postun_with_restart couchpotato.service

%files
%defattr(-,root,root)
%doc
%{_sbindir}/rccouchpotato
%{_datadir}/%{name}
%{_sysconfdir}/sysconfig/%{name}
%attr(644,root,root) %{_unitdir}/couchpotato.service
%attr(755,couchpotato,couchpotato)%{_localstatedir}/lib/%{name}

%changelog
* Thu Oct 24 2019 josef radinger <cheese@nosuchhost.net> - 3.0.1-3
- remove exec-flagfrom service-file

* Sun May 12 2019 josef radinger <cheese@nosuchhost.net> - 3.0.1-2
- switch to python2

* Tue Sep 01 2015 josef radinger <cheese@nosuchhost.net> - 3.0.1-1
- bump version

* Fri Aug 28 2015 josef radinger <cheese@nosuchhost.net> - 3.0.0-1
- bump version

* Mon Feb 23 2015 josef radinger <cheese@nosuchhost.net> - 2.6.3-1
- bump version

* Mon Feb 16 2015 josef radinger <cheese@nosuchhost.net> - 2.6.2-1
- bump version

* Sat Jan 31 2015 josef radinger <cheese@nosuchhost.net> - 2.6.1-1
- bump version

* Wed Nov 05 2014 josef radinger <cheese@nosuchhost.net> - 2.6.0-1
- bump version

* Sat Jul 19 2014 josef radinger <cheese@nosuchhost.net> - 2.5.2-1
- bump version

* Sat Jul 12 2014 josef radinger <cheese@nosuchhost.net> - 2.5.1-1
- initial version

